Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation
[Java] Class ConstraintsEvaluatorFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.validation.ConstraintsEvaluatorFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean

    public class ConstraintsEvaluatorFactoryBean
    extends java.lang.Object

Constructs the default constraints evaluator instance.

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`void` | `afterPropertiesSet()`
`ConstraintsEvaluator` | `getObject()`
`java.lang.Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setConstraintsEvaluatorClass(java.lang.Class constraintsEvaluatorClass)`
`void` | `setDefaultConstraints(java.util.Map defaultConstraints)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### getObject

    public ConstraintsEvaluator getObject()

### getObjectType

    public java.lang.Class getObjectType()

### isSingleton

    public boolean isSingleton()

### setConstraintsEvaluatorClass

    public void setConstraintsEvaluatorClass(java.lang.Class constraintsEvaluatorClass)

### setDefaultConstraints

    public void setDefaultConstraints(@java.lang.SuppressWarnings("rawtypes") java.util.Map defaultConstraints)

Groovy Documentation